USE rpi_vending_machine;

DROP TABLE IF EXISTS t_products;
DROP TABLE IF EXISTS t_sales;
DROP TABLE IF EXISTS t_temperatures;

CREATE TABLE t_products (
  id int NOT NULL, 
  name varchar(256) NOT NULL,
  created_at timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY(id) );

CREATE TABLE t_sales (
  product_id int,
  created_at timestamp
);

CREATE TABLE t_temperatures (
  id int NOT NULL PRIMARY KEY AUTO_INCREMENT,
  temperature int,
  created_at timestamp
);

