const path = require('path');

module.exports = {
  outputDir: path.resolve(__dirname, '../backend/dist'),
  assetsDir: "static",
  devServer: {
    port: 8082,
    // Devcontainer の中で編集をリアルタイム反映するには指定が必要.
    watchOptions: {
      poll: 3000
    },
    // Rest API への通信のために必要.
    proxy: 'http://localhost:8080/',
  },
  configureWebpack: {
    devtool: 'source-map',

  }
};